import { ref as c, watch as n, openBlock as l, createBlock as s, resolveDynamicComponent as m, normalizeClass as i, normalizeStyle as u } from "vue";
import { l as f } from "./index2.js";
const p = {
  __name: "SIcon",
  props: {
    name: {
      type: String,
      required: !0
    },
    size: {
      type: Number,
      default: 16
    },
    color: {
      type: String,
      default: ""
    }
  },
  setup(e) {
    var o;
    const a = e, t = c(((o = window.$theme) == null ? void 0 : o.color) || "");
    return n(
      () => a.color,
      (r) => {
        t.value = r;
      },
      { immediate: !0 }
    ), (r, d) => (l(), s(m(e.name), {
      class: i(e.name),
      style: u({ fontSize: e.size + "px", color: t.value })
    }, null, 8, ["class", "style"]));
  }
}, z = /* @__PURE__ */ f(p, [["__scopeId", "data-v-4888dff0"]]);
export {
  z as default
};
